# about:buildconfig

## Build platform

target
arm-unknown-linux-gnu

## Build tools

Compiler | Version | Compiler flags
--- | --- | ---
ccache arm-linux-gcc -march=armv4 -mtune=xscale | gcc version 3.4.3 | -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -I/home/pb/oe/build-h3900/tmp/staging/arm-linux/include -Os -fsigned-char -fno-strict-aliasing -pthread -pipe

ccache arm-linux-gcc -march=armv4 -mtune=xscale

gcc version 3.4.3

-fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -I/home/pb/oe/build-h3900/tmp/staging/arm-linux/include -Os -fsigned-char -fno-strict-aliasing -fpermissive -pthread -pipe -I/home/pb/oe/build-h3900/tmp/staging/arm-linux/include

## Configure arguments

--enable-application=browser --enable-default-toolkit=gtk2 --enable-xft --disable-freetype2 --disable-xul --disable-profilesharing --disable-profilelocking --enable-single-profile --disable-extensions --disable-accessibility --disable-composer --enable-plaintext-editor-only --disable-mailnews --disable-ldap --disable-postscript --disable-mathml --disable-jsd --disable-jsloader --disable-installer --disable-xpinstall --disable-xpfe-components --disable-xprint --disable-necko-disk-cache --enable-necko-small-buffers --disable-logging --disable-tests --enable-crypto --enable-necko-protocols=http,file,res,jar --enable-image-decoders=png,gif,jpeg --enable-reorder --enable-elf-dynstr-gc --disable-shared --enable-static --target=arm-linux --host=i686-linux --build=i686-linux --enable-application=suite